import{s as mt,n as ft,o as ht}from"../chunks/scheduler.25b97de1.js";import{S as st,i as _t,g as l,s as r,r as y,A as pt,h as c,f as d,c as a,j as ot,u as R,x as i,k as K,y as ut,a as n,v as S,d as A,t as C,w as B}from"../chunks/index.d9030fc9.js";import{H as Y,E as Tt}from"../chunks/EditOnGithub.91d95064.js";function vt(Z){let g,V,x,N,m,D,f,tt='State-of-the-art Machine Learning for <a href="https://pytorch.org/" rel="nofollow">PyTorch</a>, <a href="https://www.tensorflow.org/" rel="nofollow">TensorFlow</a>, and <a href="https://jax.readthedocs.io/en/latest/" rel="nofollow">JAX</a>.',k,h,et="🤗 Transformers provides APIs and tools to easily download and train state-of-the-art pretrained models. Using pretrained models can reduce your compute costs, carbon footprint, and save you the time and resources required to train a model from scratch. These models support common tasks in different modalities, such as:",$,s,dt=`📝 <strong>Natural Language Processing</strong>: text classification, named entity recognition, question answering, language modeling, summarization, translation, multiple choice, and text generation.<br/>
🖼️ <strong>Computer Vision</strong>: image classification, object detection, and segmentation.<br/>
🗣️ <strong>Audio</strong>: automatic speech recognition and audio classification.<br/>
🐙 <strong>Multimodal</strong>: table question answering, optical character recognition, information extraction from scanned documents, video classification, and visual question answering.`,G,_,nt="🤗 Transformers support framework interoperability between PyTorch, TensorFlow, and JAX. This provides the flexibility to use a different framework at each stage of a model’s life; train a model in three lines of code in one framework, and load it for inference in another. Models can also be exported to a format like ONNX and TorchScript for deployment in production environments.",I,p,rt='Join the growing community on the <a href="https://huggingface.co/models" rel="nofollow">Hub</a>, <a href="https://discuss.huggingface.co/" rel="nofollow">forum</a>, or <a href="https://discord.com/invite/JfAtkvEtRb" rel="nofollow">Discord</a> today!',O,u,F,o,at='<img alt="HuggingFace Expert Acceleration Program" src="https://cdn-media.huggingface.co/marketing/transformers/new-support-improved.png" style="width: 100%; max-width: 600px; border: 1px solid #eee; border-radius: 4px; box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);"/>',X,T,H,v,lt="The documentation is organized into five sections:",U,b,ct="<li><p><strong>GET STARTED</strong> provides a quick tour of the library and installation instructions to get up and running.</p></li> <li><p><strong>TUTORIALS</strong> are a great place to start if you’re a beginner. This section will help you gain the basic skills you need to start using the library.</p></li> <li><p><strong>HOW-TO GUIDES</strong> show you how to achieve a specific goal, like finetuning a pretrained model for language modeling or how to write and share a custom model.</p></li> <li><p><strong>CONCEPTUAL GUIDES</strong> offers more discussion and explanation of the underlying concepts and ideas behind models, tasks, and the design philosophy of 🤗 Transformers.</p></li> <li><p><strong>API</strong> describes all classes and functions:</p> <ul><li><strong>MAIN CLASSES</strong> details the most important classes like configuration, model, tokenizer, and pipeline.</li> <li><strong>MODELS</strong> details the classes and functions related to each model implemented in the library.</li> <li><strong>INTERNAL HELPERS</strong> details utility classes and functions used internally.</li></ul></li>",q,L,j,M,it=`The table below represents the current support in the library for each of those models, whether they have a Python
tokenizer (called “slow”). A “fast” tokenizer backed by the 🤗 Tokenizers library, whether they have support in Jax (via
Flax), PyTorch, and/or TensorFlow.`,z,w,gt='<thead><tr><th align="center">Model</th> <th align="center">PyTorch support</th> <th align="center">TensorFlow support</th> <th align="center">Flax Support</th></tr></thead> <tbody><tr><td align="center"><a href="model_doc/albert">ALBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/align">ALIGN</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/altclip">AltCLIP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/audio-spectrogram-transformer">Audio Spectrogram Transformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/autoformer">Autoformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/bark">Bark</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/bart">BART</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/barthez">BARThez</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/bartpho">BARTpho</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/beit">BEiT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/bert">BERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/bert-generation">Bert Generation</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/bert-japanese">BertJapanese</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/bertweet">BERTweet</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/big_bird">BigBird</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/bigbird_pegasus">BigBird-Pegasus</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/biogpt">BioGpt</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/bit">BiT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/blenderbot">Blenderbot</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/blenderbot-small">BlenderbotSmall</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/blip">BLIP</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/blip-2">BLIP-2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/bloom">BLOOM</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/bort">BORT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/bridgetower">BridgeTower</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/bros">BROS</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/byt5">ByT5</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/camembert">CamemBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/canine">CANINE</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/chameleon">Chameleon</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/chinese_clip">Chinese-CLIP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/clap">CLAP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/clip">CLIP</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/clipseg">CLIPSeg</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/clvp">CLVP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/codegen">CodeGen</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/code_llama">CodeLlama</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/cohere">Cohere</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/conditional_detr">Conditional DETR</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/convbert">ConvBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/convnext">ConvNeXT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/convnextv2">ConvNeXTV2</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/cpm">CPM</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/cpmant">CPM-Ant</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/ctrl">CTRL</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/cvt">CvT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/dac">DAC</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/data2vec">Data2VecAudio</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/data2vec">Data2VecText</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/data2vec">Data2VecVision</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/dbrx">DBRX</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/deberta">DeBERTa</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/deberta-v2">DeBERTa-v2</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/decision_transformer">Decision Transformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/deformable_detr">Deformable DETR</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/deit">DeiT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/deplot">DePlot</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/depth_anything">Depth Anything</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/deta">DETA</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/detr">DETR</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/dialogpt">DialoGPT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/dinat">DiNAT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/dinov2">DINOv2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/distilbert">DistilBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/dit">DiT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/donut">DonutSwin</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/dpr">DPR</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/dpt">DPT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/efficientformer">EfficientFormer</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/efficientnet">EfficientNet</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/electra">ELECTRA</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/encodec">EnCodec</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/encoder-decoder">Encoder decoder</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/ernie">ERNIE</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/ernie_m">ErnieM</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/esm">ESM</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/fsmt">FairSeq Machine-Translation</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/falcon">Falcon</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/falcon_mamba">FalconMamba</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/fastspeech2_conformer">FastSpeech2Conformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/flan-t5">FLAN-T5</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/flan-ul2">FLAN-UL2</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/flaubert">FlauBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/flava">FLAVA</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/fnet">FNet</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/focalnet">FocalNet</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/funnel">Funnel Transformer</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/fuyu">Fuyu</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/gemma">Gemma</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/gemma2">Gemma2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/git">GIT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/glpn">GLPN</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/gpt_neo">GPT Neo</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/gpt_neox">GPT NeoX</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/gpt_neox_japanese">GPT NeoX Japanese</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/gptj">GPT-J</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/gpt-sw3">GPT-Sw3</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/gpt_bigcode">GPTBigCode</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/gptsan-japanese">GPTSAN-japanese</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/granite">Granite</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/granitemoe">GraniteMoeMoe</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/graphormer">Graphormer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/grounding-dino">Grounding DINO</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/groupvit">GroupViT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/herbert">HerBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/hiera">Hiera</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/hubert">Hubert</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/ibert">I-BERT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/idefics">IDEFICS</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/idefics2">Idefics2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/imagegpt">ImageGPT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/informer">Informer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/instructblip">InstructBLIP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/instructblipvideo">InstructBlipVideo</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/jamba">Jamba</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/jetmoe">JetMoe</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/jukebox">Jukebox</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/kosmos-2">KOSMOS-2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/layoutlm">LayoutLM</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/layoutlmv2">LayoutLMv2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/layoutlmv3">LayoutLMv3</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/layoutxlm">LayoutXLM</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/led">LED</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/levit">LeViT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/lilt">LiLT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/llama">LLaMA</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/llama2">Llama2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/llama3">Llama3</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/llava">LLaVa</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/llava_next">LLaVA-NeXT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/llava_next_video">LLaVa-NeXT-Video</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/llava_onevision">LLaVA-Onevision</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/longformer">Longformer</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/longt5">LongT5</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/luke">LUKE</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/lxmert">LXMERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mctct">M-CTC-T</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/m2m_100">M2M100</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/madlad-400">MADLAD-400</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/mamba">Mamba</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mamba2">mamba2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/marian">Marian</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/markuplm">MarkupLM</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mask2former">Mask2Former</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/maskformer">MaskFormer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/matcha">MatCha</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mbart">mBART</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/mbart50">mBART-50</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/mega">MEGA</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/megatron-bert">Megatron-BERT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/megatron_gpt2">Megatron-GPT2</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/mgp-str">MGP-STR</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mimi">Mimi</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mistral">Mistral</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/mixtral">Mixtral</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mllama">Mllama</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mluke">mLUKE</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mms">MMS</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/mobilebert">MobileBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mobilenet_v1">MobileNetV1</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mobilenet_v2">MobileNetV2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mobilevit">MobileViT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mobilevitv2">MobileViTV2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mpnet">MPNet</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mpt">MPT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mra">MRA</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mt5">MT5</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/musicgen">MusicGen</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/musicgen_melody">MusicGen Melody</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/mvp">MVP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/nat">NAT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/nemotron">Nemotron</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/nezha">Nezha</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/nllb">NLLB</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/nllb-moe">NLLB-MOE</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/nougat">Nougat</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/nystromformer">Nyströmformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/olmo">OLMo</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/olmoe">OLMoE</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/omdet-turbo">OmDet-Turbo</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/oneformer">OneFormer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/openai-gpt">OpenAI GPT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/gpt2">OpenAI GPT-2</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/open-llama">OpenLlama</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/opt">OPT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/owlvit">OWL-ViT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/owlv2">OWLv2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/paligemma">PaliGemma</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/patchtsmixer">PatchTSMixer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/patchtst">PatchTST</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/pegasus">Pegasus</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/pegasus_x">PEGASUS-X</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/perceiver">Perceiver</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/persimmon">Persimmon</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/phi">Phi</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/phi3">Phi3</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/phobert">PhoBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/pix2struct">Pix2Struct</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/pixtral">Pixtral</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/plbart">PLBart</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/poolformer">PoolFormer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/pop2piano">Pop2Piano</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/prophetnet">ProphetNet</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/pvt">PVT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/pvt_v2">PVTv2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/qdqbert">QDQBert</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/qwen2">Qwen2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/qwen2_audio">Qwen2Audio</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/qwen2_moe">Qwen2MoE</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/qwen2_vl">Qwen2VL</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/rag">RAG</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/realm">REALM</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/recurrent_gemma">RecurrentGemma</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/reformer">Reformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/regnet">RegNet</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/rembert">RemBERT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/resnet">ResNet</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/retribert">RetriBERT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/roberta">RoBERTa</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/roberta-prelayernorm">RoBERTa-PreLayerNorm</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/roc_bert">RoCBert</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/roformer">RoFormer</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/rt_detr">RT-DETR</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/rt_detr_resnet">RT-DETR-ResNet</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/rwkv">RWKV</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/sam">SAM</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/seamless_m4t">SeamlessM4T</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/seamless_m4t_v2">SeamlessM4Tv2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/segformer">SegFormer</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/seggpt">SegGPT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/sew">SEW</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/sew-d">SEW-D</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/siglip">SigLIP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/speech-encoder-decoder">Speech Encoder decoder</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/speech_to_text">Speech2Text</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/speecht5">SpeechT5</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/splinter">Splinter</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/squeezebert">SqueezeBERT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/stablelm">StableLm</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/starcoder2">Starcoder2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/superpoint">SuperPoint</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/swiftformer">SwiftFormer</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/swin">Swin Transformer</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/swinv2">Swin Transformer V2</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/swin2sr">Swin2SR</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/switch_transformers">SwitchTransformers</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/t5">T5</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/t5v1.1">T5v1.1</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/table-transformer">Table Transformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/tapas">TAPAS</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/tapex">TAPEX</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/time_series_transformer">Time Series Transformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/timesformer">TimeSformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/trajectory_transformer">Trajectory Transformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/transfo-xl">Transformer-XL</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/trocr">TrOCR</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/tvlt">TVLT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/tvp">TVP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/udop">UDOP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/ul2">UL2</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/umt5">UMT5</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/unispeech">UniSpeech</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/unispeech-sat">UniSpeechSat</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/univnet">UnivNet</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/upernet">UPerNet</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/van">VAN</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/video_llava">VideoLlava</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/videomae">VideoMAE</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/vilt">ViLT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/vipllava">VipLlava</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/vision-encoder-decoder">Vision Encoder decoder</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/vision-text-dual-encoder">VisionTextDualEncoder</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/visual_bert">VisualBERT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/vit">ViT</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/vit_hybrid">ViT Hybrid</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/vitdet">VitDet</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/vit_mae">ViTMAE</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/vitmatte">ViTMatte</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/vit_msn">ViTMSN</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/vits">VITS</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/vivit">ViViT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/wav2vec2">Wav2Vec2</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/wav2vec2-bert">Wav2Vec2-BERT</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/wav2vec2-conformer">Wav2Vec2-Conformer</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/wav2vec2_phoneme">Wav2Vec2Phoneme</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/wavlm">WavLM</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/whisper">Whisper</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/xclip">X-CLIP</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/xmod">X-MOD</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/xglm">XGLM</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/xlm">XLM</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/xlm-prophetnet">XLM-ProphetNet</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/xlm-roberta">XLM-RoBERTa</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/xlm-roberta-xl">XLM-RoBERTa-XL</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/xlm-v">XLM-V</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/xlnet">XLNet</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/xls_r">XLS-R</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/xlsr_wav2vec2">XLSR-Wav2Vec2</a></td> <td align="center">✅</td> <td align="center">✅</td> <td align="center">✅</td></tr> <tr><td align="center"><a href="model_doc/yolos">YOLOS</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/yoso">YOSO</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr> <tr><td align="center"><a href="model_doc/zoedepth">ZoeDepth</a></td> <td align="center">✅</td> <td align="center">❌</td> <td align="center">❌</td></tr></tbody>',W,P,J,E,Q;return m=new Y({props:{title:"🤗 Transformers",local:"-transformers",headingTag:"h1"}}),u=new Y({props:{title:"If you are looking for custom support from the Hugging Face team",local:"if-you-are-looking-for-custom-support-from-the-hugging-face-team",headingTag:"h2"}}),T=new Y({props:{title:"Contents",local:"contents",headingTag:"h2"}}),L=new Y({props:{title:"Supported models and frameworks",local:"supported-models-and-frameworks",headingTag:"h2"}}),P=new Tt({props:{source:"https://github.com/huggingface/transformers/blob/main/docs/source/en/index.md"}}),{c(){g=l("meta"),V=r(),x=l("p"),N=r(),y(m.$$.fragment),D=r(),f=l("p"),f.innerHTML=tt,k=r(),h=l("p"),h.textContent=et,$=r(),s=l("p"),s.innerHTML=dt,G=r(),_=l("p"),_.textContent=nt,I=r(),p=l("p"),p.innerHTML=rt,O=r(),y(u.$$.fragment),F=r(),o=l("a"),o.innerHTML=at,X=r(),y(T.$$.fragment),H=r(),v=l("p"),v.textContent=lt,U=r(),b=l("ul"),b.innerHTML=ct,q=r(),y(L.$$.fragment),j=r(),M=l("p"),M.textContent=it,z=r(),w=l("table"),w.innerHTML=gt,W=r(),y(P.$$.fragment),J=r(),E=l("p"),this.h()},l(t){const e=pt("svelte-u9bgzb",document.head);g=c(e,"META",{name:!0,content:!0}),e.forEach(d),V=a(t),x=c(t,"P",{}),ot(x).forEach(d),N=a(t),R(m.$$.fragment,t),D=a(t),f=c(t,"P",{"data-svelte-h":!0}),i(f)!=="svelte-ph2ei2"&&(f.innerHTML=tt),k=a(t),h=c(t,"P",{"data-svelte-h":!0}),i(h)!=="svelte-v3ivxm"&&(h.textContent=et),$=a(t),s=c(t,"P",{"data-svelte-h":!0}),i(s)!=="svelte-b7zvj6"&&(s.innerHTML=dt),G=a(t),_=c(t,"P",{"data-svelte-h":!0}),i(_)!=="svelte-ypylan"&&(_.textContent=nt),I=a(t),p=c(t,"P",{"data-svelte-h":!0}),i(p)!=="svelte-1smvaut"&&(p.innerHTML=rt),O=a(t),R(u.$$.fragment,t),F=a(t),o=c(t,"A",{target:!0,href:!0,"data-svelte-h":!0}),i(o)!=="svelte-16714py"&&(o.innerHTML=at),X=a(t),R(T.$$.fragment,t),H=a(t),v=c(t,"P",{"data-svelte-h":!0}),i(v)!=="svelte-1xuc8o0"&&(v.textContent=lt),U=a(t),b=c(t,"UL",{"data-svelte-h":!0}),i(b)!=="svelte-1w2o0qg"&&(b.innerHTML=ct),q=a(t),R(L.$$.fragment,t),j=a(t),M=c(t,"P",{"data-svelte-h":!0}),i(M)!=="svelte-c8jl2s"&&(M.textContent=it),z=a(t),w=c(t,"TABLE",{"data-svelte-h":!0}),i(w)!=="svelte-6y8k72"&&(w.innerHTML=gt),W=a(t),R(P.$$.fragment,t),J=a(t),E=c(t,"P",{}),ot(E).forEach(d),this.h()},h(){K(g,"name","hf:doc:metadata"),K(g,"content",bt),K(o,"target","_blank"),K(o,"href","https://huggingface.co/support")},m(t,e){ut(document.head,g),n(t,V,e),n(t,x,e),n(t,N,e),S(m,t,e),n(t,D,e),n(t,f,e),n(t,k,e),n(t,h,e),n(t,$,e),n(t,s,e),n(t,G,e),n(t,_,e),n(t,I,e),n(t,p,e),n(t,O,e),S(u,t,e),n(t,F,e),n(t,o,e),n(t,X,e),S(T,t,e),n(t,H,e),n(t,v,e),n(t,U,e),n(t,b,e),n(t,q,e),S(L,t,e),n(t,j,e),n(t,M,e),n(t,z,e),n(t,w,e),n(t,W,e),S(P,t,e),n(t,J,e),n(t,E,e),Q=!0},p:ft,i(t){Q||(A(m.$$.fragment,t),A(u.$$.fragment,t),A(T.$$.fragment,t),A(L.$$.fragment,t),A(P.$$.fragment,t),Q=!0)},o(t){C(m.$$.fragment,t),C(u.$$.fragment,t),C(T.$$.fragment,t),C(L.$$.fragment,t),C(P.$$.fragment,t),Q=!1},d(t){t&&(d(V),d(x),d(N),d(D),d(f),d(k),d(h),d($),d(s),d(G),d(_),d(I),d(p),d(O),d(F),d(o),d(X),d(H),d(v),d(U),d(b),d(q),d(j),d(M),d(z),d(w),d(W),d(J),d(E)),d(g),B(m,t),B(u,t),B(T,t),B(L,t),B(P,t)}}}const bt='{"title":"🤗 Transformers","local":"-transformers","sections":[{"title":"If you are looking for custom support from the Hugging Face team","local":"if-you-are-looking-for-custom-support-from-the-hugging-face-team","sections":[],"depth":2},{"title":"Contents","local":"contents","sections":[],"depth":2},{"title":"Supported models and frameworks","local":"supported-models-and-frameworks","sections":[],"depth":2}],"depth":1}';function Lt(Z){return ht(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class xt extends st{constructor(g){super(),_t(this,g,Lt,vt,mt,{})}}export{xt as component};
